{% load static %}

<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=0.8">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <title>Muhammad Salman Al Farisi</title>

    <link rel="stylesheet" type="text/css" href="{% static 'css/bootstrap.min.css' %}">
    <script src="{% static 'js/jquery-3.4.1.js' %}"></script>    
    <script src="{% static 'js/bootstrap.bundle.min.js' %}"></script>
</head>

<body>
    <div class="container d-flex">
        <div class="align-self-center w-100">
            <div class="login-box">
                <hr class="mb-2">
                <h2 class="text-center pb-2">PPW Story 9</h2>
                {% if fail %}
                <div class="alert alert-danger mb-2" role="alert">
                    Wrong username or password, Create user first in admin site if you want to register
                </div>
                {% endif %}
                {% if mustlogin %}
                <div class="alert alert-warning mb-2" role="alert">
                    You must to log in first to access
                </div>
                {% endif %}
                {% if logout %}
                <div class="alert alert-success mb-2" role="alert">
                    Logout successful
                </div>
                {% endif %}
                {% if change %}
                <div class="alert alert-success mb-2" role="alert">
                    Change password successful, please login again with your new password
                </div>
                {% endif %}

                <form action="login/" method="POST">
                    {% csrf_token %}
                    <div class="form-group">
                        <label for="inputUsername">Username</label>
                        <input type="text" name="username" class="form-control" id="inputUsername" aria-describedby="usernameHelp" placeholder="Enter username">
                    </div>
                    <div class="form-group">
                        <label for="inputPassword">Password</label>
                        <input type="password" name="password" class="form-control" id="inputPassword" aria-describedby="passwordHelp" placeholder="Password">
                    </div>
                    <button type="submit" class="btn btn-primary">Login</button>
                </form>
            </div>
        </div>
    </div>    
</body>

</html>
